#include <bits/stdc++.h>


using namespace std;

void solve(){
	string s; cin>>s;
	int n = s.length();
	if(s[0]=='b'&&s[1]=='b' || s[n-2]=='b'&&s[n-1]=='b'){
		cout<<3;
	}else{
		int br=0;
		int prekidac = -1;
		for(int i=0; i<n; i++){
			if(s[i]=='b'){
				prekidac*=-1;
			}
			if(prekidac==1){
				br++;
			}

		}
		cout<<br+1;
	}

}



int main()
{
	ios::sync_with_stdio(0); 
	cin.tie(0);
	solve();
	
}